<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."partner_pages_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."partner_pages_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."partner_pages_panel/locale/English.php";
}
// Infusion general information
$inf_title = $locale['psp100'];
$inf_description = $locale['psp101'];
$inf_version = $locale['psp_version'];
$inf_developer = $locale['psp_dev'];
$inf_email = "emc_forum@gmx.net";
$inf_weburl = $locale['psp_weburl'];

$inf_folder = "partner_pages_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = "partner_pages_panel_admin.php"; // The admin panel filename if required.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.

$inf_newtable_[1] = "psp (
  psp_id smallint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  psp_name varchar(50) default NULL,
  psp_url varchar(255) default NULL,
  psp_image varchar(50) default NULL,
  psp_image_url varchar(255) default NULL,
  psp_active varchar(1) default NULL,
  PRIMARY KEY  (psp_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "psp_settings (
  image_width smallint(2) NOT NULL default '90',
  image_height smallint(2) NOT NULL default '30',
  box_height smallint(2) NOT NULL default '150',
  scrollamount smallint(2) NOT NULL default '2',
  direction varchar(10) NOT NULL default 'up',
  behavior varchar(10) NOT NULL default 'scroll'
) TYPE=MyISAM;";

$inf_droptable_[1] = "psp";
$inf_droptable_[2] = "psp_settings";


?>